
Redmine - Feature #3870

Add "spoiler" or "cut" element to wiki markup

2009-09-15 08:21 - Andrew Chaika

Status: Closed Start date: 2009-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Add ability to insert html element that in default state hide their content.

Syntax may be:

  <spoiler>

  This text is hidden by default

  </spoiler>

This might be useful for example to hide rails logs.

Related issues:

Is duplicate of Redmine - Feature #12167: Macro for inserting collapsible blo... Closed

History

#1 - 2009-10-01 00:12 - Eric Davis

- Category set to Wiki

How would this work?  Would there be a link to show/hide the hidden content?

#2 - 2009-10-01 07:44 - Andrew Chaika

- File spoiler.htm added

Something like this spoiler.htm

#3 - 2011-07-14 12:18 - Alexey Ponomarev

That would be nice to see this feature in one of the further releases.

#4 - 2011-11-15 12:59 - Pavel Sokolov

+1

#5 - 2012-08-24 14:24 - Danil Tashkinov

You can use this plugin http://www.redmine.org/plugins/redmine_cut_tag

#6 - 2014-04-18 05:59 - Dev Full stack

+1

#7 - 2014-05-03 09:38 - Dev Full stack

+1

#8 - 2014-07-10 14:11 - Michael Zakharenko

may be collapse macro helps ?

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Macros

#9 - 2016-01-18 13:22 - Sergey Startsev
https://www.redmine.org/attachments/2600
http://www.redmine.org/plugins/redmine_cut_tag
http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Macros


Michael Zakharenko wrote:

may be collapse macro helps ?

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Macros

 +1

#10 - 2016-01-18 13:23 - Sergey Startsev

I suggest to close the ticket in cause of macro existence

#11 - 2016-01-18 13:32 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

As Michael Zakharenko and Sergey Startsev wrote, this can be done with {{collapse}} macro implemented by #12167 (Redmine 2.2). I am closing this

issue.

Thanks for pointing it out.

#12 - 2016-01-18 13:32 - Go MAEDA

- Is duplicate of Feature #12167: Macro for inserting collapsible block of text added
